×

Discussion Board

Results 1 to 2 of 2
  1. #1
    Registered User
    Join Date
    May 2005
    Posts
    2

    Compiling helloworld-project for Nokia6600 with Series60 SKD v2

    Hi,
    I'm currently trying to get the helloworld-application to run on my mobile phone (Nokia 6600) bit it doesn't work as it should.
    I'm trying to tell you step-by-step what I did so you might have it easy to find my error.

    I am using:
    Microsoft Visual C++ 6.0 SP3
    Symbian SDK Series60_v20
    Nokia 6600
    Windows XP Service Pack 2

    my steps were:

    cmd
    >cd C:\Symbian\7.0s\Series60_v20\Examples\helloworld
    >bldmake bldfiles
    >abld build armi urel


    this step should create a helloworld.sis and helloworld.rsc in C:\Symbian\7.0s\Series60_v20\Epoc32\release\armi\urel - but only helloworld.sis is created here. After some research I found that the helloworld.rsc was created in C:\Symbian\7.0s\Series60_v20\Epoc32\data\z\system\apps\HELLOWORLD

    now I created a file named helloworld.pkg with following content
    Code:
    ;
    ; Basic install file for minimal application
    ;
    
    ; Languages
    ; none -  English only by default
    
    ; Installation header
    ; Only one component name as we only support English
    ; UID is the app's UID - see HelloWorld.mmp
    
    #{"Minimal application"},(0x10004299),1,0,0
    ; Only two files to install for the minimal application
    "C:\Symbian\7.0s\Series60_v20\Epoc32\release\armi\urel\HelloWorld.app"-"HelloWorld.app"
    "C:\Symbian\7.0s\Series60_v20\Epoc32\data\z\system\apps\HELLOWORLD\HelloWorld.rsc"-"HelloWorld.rsc"
    ;"C:\Symbian\7.0s\Series60_v20\Epoc32\release\armi\urel\HelloWorld.rsc"-"HelloWorld.rsc"
    
    ; Required files
    ; None
    
    ; Component .sis files
    ; None
    then I ran
    >makesis helloworld.pkg what created a helloworld.sis in the same directory.
    I copied this file per bluetooth to my mobile phone and opened the message. The installation starts.
    I get a message "Prgr. ist nicht beglaubigt. Probleme mögl. Nur inst. falls Sie d. Herausgeber vertrauen" which means "not certified, just install if you think it's secure" and answer this with "yes"
    then it asks "install minimal application?" (I'm just giving translations from now) - yes
    install - ok
    replace 1.00 with 1.00? (tried it several times so this appears) - yes
    maybe incompatible with this phone - cancel installation? - no (why does this appear? I'm using the correct SDK für 6600, ain't I?)
    then it says installation done but I can't find the installed program anywhere in the menus.

    Please guys, I need your help with this.

  2. #2
    Registered User
    Join Date
    May 2005
    Posts
    2
    it's working, need no further help on this:)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×